#ifndef __LOGS_H_
#define __LOGS_H_

typedef struct LOGRECORD {
 char *str;
 LOGRECORD *next;
}LOGRECORD;


typedef struct LOGFILE{
 char *filename;
 int lines;
 LOGRECORD *line,*lastline;
 int firsttime;
 LOGFILE *next;
}LOGFILE;

extern char *logfilename;
extern int maxloglines;                          // maximum is 10 cached lines
extern int maxlogtime;                            // maximum logged time out!


extern int NAInitLogs(char *_filename,int _maxloglines,int _maxlogtime);
extern void NAStopLogs();


extern void NALog(long ipaddr,
	    char *url,
            long stime);

#endif


