#include <stdio.h>
#include <ctype.h>
#include <string.h>

#include "cgi.h"

//#define _CGI_TEST_

int base64decode(void *dst,char *src,int maxlen)
{
 int bitval,bits;
 int val;
 int len,x,y;

 len = strlen(src);
 bitval=0;
 bits=0;
 y=0;

 for(x=0;x<len;x++)
  {
   if ((src[x]>='A')&&(src[x]<='Z')) val=src[x]-'A'; else
   if ((src[x]>='a')&&(src[x]<='z')) val=src[x]-'a'+26; else
   if ((src[x]>='0')&&(src[x]<='9')) val=src[x]-'0'+52; else
   if (src[x]=='+') val=62; else
   if (src[x]=='-') val=63; else
    val=-1;
   if (val>=0)
    {
     bitval=bitval<<6;
     bitval+=val;
     bits+=6;
     while (bits>=8)
      {
       if (y<maxlen)
	((char *)dst)[y++]=(bitval>>(bits-8))&0xFF;
       bits-=8;
       bitval &= (1<<bits)-1;
      }
    }
  }
 if (y<maxlen)
   ((char *)dst)[y++]=0;
 return y;
}


int getcgiparam(char *dst,char *query_string,char *param,int maxlen)
{
 int len,plen;
 int y;

 plen=strlen(param);
 while (*query_string)
  {
   len=strlen(query_string);

   if ((len=strlen(query_string))>plen)
    if (!strncmp(query_string,param,plen))
     if (query_string[plen]=='=')
      {//copy parameter
       query_string+=plen+1;
       y=0;
       while ((*query_string)&&(*query_string!='&'))
	{
	 if ((*query_string=='%')&&(strlen(query_string)>2))
	   if ((isxdigit(query_string[1]))&&(isxdigit(query_string[2])))
	    {
	     if (y<maxlen)
	      dst[y++]=((toupper(query_string[1])>='A'?toupper(query_string[1])-'A'+0xa:toupper(query_string[1])-'0') << 4)
		       + (toupper(query_string[2])>='A'?toupper(query_string[2])-'A'+0xa:toupper(query_string[2])-'0');
	     query_string+=3;
	     continue;
	    }
	 if (*query_string=='+')
	  {
	   if (y<maxlen)
	    dst[y++]=' ';
	   query_string++;
	   continue;
	  }
	 if (y<maxlen)
	  dst[y++]=*query_string;
	 query_string++;
	}
       if (y<maxlen) dst[y]=0;
       return y;
      }
   while ((*query_string)&&(*query_string!='&')) query_string++;
   query_string++;
  }
 if (maxlen) dst[0]=0;
 return -1;
}

#ifdef _CGI_TEST_

void main()
{
 char dest[0x100];
 char src[]="QWxhZGRpbjpvcGVuIHNlc2FtZQ==";  // this is from rfc1945
 char query_string[]="param1=%20%test2D&param2=%2Dnull%2D+%3D&param3=&param4=";
 int len;

 len = base64decode(dest,src,0x100);
 printf("base64decoded:[%s]\n",dest);
 len = getcgiparam(dest,query_string,"param2",0x100);
 printf("cgiparam:[%s]\n",dest);
}

#endif