#ifndef __RULES__H
#define __RULES__H


typedef struct FailTable{
  char *url;
  char *newurl;
  FailTable *next;
}FailTable;

typedef struct MimeTable{
  char *ext;
  char *type;
  MimeTable *next;
}MimeTable;

extern "C"{

void LoadTables();

int VerifyFail(char *url,char **newurl);
char *GetMime(char *url);
extern char ProxyCache[0x40];
extern char StatusURL[0x100];
extern char StatusPassword[0x40];
extern char LogFile[0x100];
extern int ProxyPort;
extern int MyPort;

};


#endif
