#include <conio.h>
#include <process.h>
#include <time.h>
#include <stdio.h>
#include <string.h>
#include <io.h>

#include "cgi.h"
#include "misc.h"
#include "tcp.h"
#include "headers.h"
#include "rules.h"

void ShowStat(char *url,int s)
{
    int pwok;
    long CurTime;
    struct tm *time_of_day;
    char *line,*request;

    line = (char*)malloc(8192);
    if (!line)
     {
      write(s,err_nomem,strlen(err_nomem));
      return;
     }
    request = (char*)malloc(8192);
    if (!request)
     {
      write(s,err_nomem,strlen(err_nomem));
      delete line;
      return;
     }

    pwok=0;
    while (1)
     {
      sockgets(s,line,8190);
      if (! *line )
       break;

      if (!strnicmp(line,"Authorization:",14 ))
       {
        char *pw;

        pw=line;
        pw+=14;  // skip "Authorization:"
        while ((*pw)&&(*pw==' ')) pw++;
        if (!strnicmp(pw,"basic",5))
         {
          char pass[0x40];

          pw+=5;  // skip "Basic:"
          while ((*pw)&&(*pw==' ')) pw++;
          base64decode(pass,pw,0x40);
          pass[0x3F]=0;
          if (!stricmp(pass,StatusPassword))
           pwok=1;
         }
       }

      if (!strcmp(line,"\n") )
       break;
     }
    if ((!pwok)&&(StatusPassword[0]))
     {
      write(s,err_unauthorized,strlen(err_unauthorized));
      delete line;
      delete request;
      return;
     }

    if ((!stricmp(url,""))||(!stricmp(url,"/")))
    {
     sprintf(line,"HTTP/1.0 200 OK\nPragma: no-cache\nContent-type: text/html\n\n");
     write(s,line,strlen(line));
     sprintf(line,HTML_HEADER);
     write(s,line,strlen(line));
     sprintf(line,"<center><font size=6 color=#20ff20>Proxy server status</font></center><p>");
     write(s,line,strlen(line));
     sprintf(line,"<center><table border=2>");
     write(s,line,strlen(line));

     CurTime = time( NULL );

     //---------------------------------------------------------------
     FormatSeconds(request,CurTime-StartTime);
     sprintf(line,"<tr><td>Uptime: <td>%s",request);
     write(s,line,strlen(line));
     //
     EnterCritSec();
     sprintf(line,"<tr><td>NLM started: <td>%s",ctime((unsigned long *)&StartTime));
     ExitCritSec();
     write(s,line,strlen(line));
     //
     EnterCritSec();
     sprintf(line,"<tr><td>Current time: <td>%s",ctime((unsigned long *)&CurTime));
     ExitCritSec();
     write(s,line,strlen(line));
     //
     sprintf(line,"<tr><td>Current status:<td>%s",ProxyStopped?"<font color=#ff0000>NOADVERT.NLM is stopped!</font>":"Running.");
     write(s,line,strlen(line));
     if (ProxyStopped)
      {
       sprintf(line,"(Click <a href=\"%s%sstart.cgi\">here</a> to <b>run</b> Noadvert)",
               StatusURL,StatusURL[strlen(StatusURL)-1]=='/'?"":"/");
       write(s,line,strlen(line));

       sprintf(line,"<tr><td>Stop reason:<td>%s",StopReason);
       write(s,line,strlen(line));
      }
     //
     FormatLong(request,TotalRequests);
     sprintf(line,"<tr><td>Total requests: <td>%s",request);
     write(s,line,strlen(line));
     FormatLong(request,TotalBytes);
     sprintf(line,"<tr><td>Bytes transferred: <td>%s",request);
     write(s,line,strlen(line));
     FormatLong(request,FailedPages);
     sprintf(line,"<tr><td>Failed urls:   <td>%s (%u%%)",request,(FailedPages*100)/TotalRequests);
     write(s,line,strlen(line));
     FormatLong(request,CurrentConnections-1);
     sprintf(line,"<tr><td>Current connections: <td>%s",request);
     write(s,line,strlen(line));
     sprintf(line,"<tr><td>Proxy server:   <td>%s:%u",ProxyCache,ProxyPort);
     write(s,line,strlen(line));
     sprintf(line,"</table></center>");
     write(s,line,strlen(line));
     sprintf(line,"<hr>Click <a href=\"%s%sreload-config.cgi\">here</a> to reload configuration.<p>",
                  StatusURL,StatusURL[strlen(StatusURL)-1]=='/'?"":"/");
     write(s,line,strlen(line));

     if (!ProxyStopped )
     {
      sprintf(line,"<hr><form action=\"%s%sstop.cgi\" method=get>"
                   "Stop NOADVERT.NLM:"
                   "<Input type=text name=reason length=80 size=40>"
                   "<Input type=submit>"
                   "</form>",
                StatusURL,StatusURL[strlen(StatusURL)-1]=='/'?"":"/");
      write(s,line,strlen(line));
     }


     sprintf(line,HTML_FOOTER);
     write(s,line,strlen(line));
    }else
    if ((!stricmp(url,"reload-config.cgi"))||(!stricmp(url,"/reload-config.cgi")))
     {
      EnterCritSec();
      LoadTables();
      ExitCritSec();
     sprintf(line,"HTTP/1.0 200 OK\nPragma: no-cache\nContent-type: text/html\n\n");
     write(s,line,strlen(line));
     sprintf(line,HTML_HEADER);
     write(s,line,strlen(line));
     sprintf(line,"<center><font size=6 color=#20ff20>Config reload</font></center><p>");
     write(s,line,strlen(line));

     sprintf(line,"Configuration reloaded.");
     write(s,line,strlen(line));

     sprintf(line,HTML_FOOTER);
     write(s,line,strlen(line));
     }else
    if ((!strnicmp(url,"stop.cgi?",9))||(!strnicmp(url,"/stop.cgi?",10)))
     {
      getcgiparam(StopReason,strchr(url,'?')+1,"reason",0xFF);

      ConsolePrintf("\rNoadvert.NLM: stopped, because %s\r\n",StopReason);

      sprintf(line,"HTTP/1.0 200 OK\nPragma: no-cache\nContent-type: text/html\n\n");
      write(s,line,strlen(line));
      sprintf(line,HTML_HEADER);
      write(s,line,strlen(line));
      sprintf(line,"<center><font size=6 color=#20ff20>STOP!!</font></center><p>");
      write(s,line,strlen(line));

      sprintf(line,"Noadvert.nlm stopped, because %s",StopReason);
      write(s,line,strlen(line));

      sprintf(line,HTML_FOOTER);
      write(s,line,strlen(line));
      ProxyStopped=1;
     }else
    if ((!stricmp(url,"start.cgi"))||(!stricmp(url,"/start.cgi")))
     {
     sprintf(line,"HTTP/1.0 200 OK\nPragma: no-cache\nContent-type: text/html\n\n");
     write(s,line,strlen(line));
     sprintf(line,HTML_HEADER);
     write(s,line,strlen(line));
     sprintf(line,"<center><font size=6 color=#20ff20>RUN!!</font></center><p>");
     write(s,line,strlen(line));

     sprintf(line,"Noadvert.nlm enabled.!");
     write(s,line,strlen(line));

     sprintf(line,HTML_FOOTER);
     write(s,line,strlen(line));
     ProxyStopped=0;
     }else
     {
      write(s,err_lamer,strlen(err_lamer));
     }

    delete request;
    delete line;
}

void ShowStop(int s)
{
    int pwok;
    long CurTime;
    struct tm *time_of_day;
    char *line,*request;

    line = (char*)malloc(8192);
    if (!line)
     {
      write(s,err_nomem,strlen(err_nomem));
      return;
     }

    sprintf(line,"HTTP/1.0 200 OK\nPragma: no-cache\nContent-type: text/html\n\n");
    write(s,line,strlen(line));
    sprintf(line,HTML_HEADER);
    write(s,line,strlen(line));
    sprintf(line,"<center><font size=6 color=#ff0000>NoAdvert.NLM is STOPPED!</font></center><p>");
    write(s,line,strlen(line));
    if (StopReason[0])
     {
      sprintf(line,"<center><font size=5>%s</font></center><p>",StopReason);
      write(s,line,strlen(line));
     }
    sprintf(line,"Your system administrator stopped your proxy server."
                 "You can run it <a href=\"%s\">here</a>.",StatusURL);
    write(s,line,strlen(line));

    delete line;
}
